[**@rxap/config**](../README.md)

***

[@rxap/config](../globals.md) / ConfigLoaderService

# Class: ConfigLoaderService

Defined in: [config-loader.service.ts:16](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-loader.service.ts#L16)

## Constructors

### new ConfigLoaderService()

> **new ConfigLoaderService**(`http`): [`ConfigLoaderService`](ConfigLoaderService.md)

Defined in: [config-loader.service.ts:21](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-loader.service.ts#L21)

#### Parameters

##### http

`HttpClient`

#### Returns

[`ConfigLoaderService`](ConfigLoaderService.md)

## Properties

### configLoading

> `readonly` **configLoading**: `Map`\<`string`, `Observable`\<`any`\>\>

Defined in: [config-loader.service.ts:19](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-loader.service.ts#L19)

***

### configs

> `readonly` **configs**: `Map`\<`string`, `any`\>

Defined in: [config-loader.service.ts:17](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-loader.service.ts#L17)

***

### http

> `readonly` **http**: `HttpClient`

Defined in: [config-loader.service.ts:23](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-loader.service.ts#L23)

## Methods

### load$()

> **load$**\<`T`\>(`url`): `Promise`\<`T`\>

Defined in: [config-loader.service.ts:27](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-loader.service.ts#L27)

#### Type Parameters

• **T** = `any`

#### Parameters

##### url

`string`

#### Returns

`Promise`\<`T`\>
